-- reporter: make sure the whole guild knows of your success and shame
-- Original idea by Harpo
-- modified heavily & redesigned by Estrian
-- v1.3a @ 6th August 2013

declare('reporter', {})

reporter.NoArgs={}
reporter.toggle={}
reporter.Init={}
reporter.someDeath={}

function reporter.NoArgs()
	if pluginState == 1 then
		pluginState = 0
		print('reporter OFF')
	else 
		pluginState = 1
		print('reporter ON')
	end
end

function reporter.toggle(data,args)
	if not args then 
		reporter.NoArgs()
	elseif args[1]=='on' then 
		pluginState = 1
		print('reporter ON')
	elseif args[1]=='off' then 
		pluginState = 0
		print('reporter OFF')
--	elseif args[1]=='group' then
--	reporter.groupmodetoggle()
	else print('Not a valid argument')
	end
end

function reporter.Init:OnEvent(event)
	pluginState = 1
	disablechatgroup = false
end

function reporter.disable:OnEvent(event)
	pluginState = 0
end

function reporter.someDeath:OnEvent(event, deadguyID, killerID)
	if pluginState == 1 then
		if (not GetPlayerName(deadguyID):match("^%*")) then
			if (not GetPlayerName(killerID):match("^%*")) then
				if (deadguyID == killerID) then
					local deadguy = GetPlayerName(deadguyID) or "none"
					SendChat(deadguy .. " managed to suicide with style" , "GUILD")					
				else
				local deadguy = GetPlayerName(deadguyID) or "none"
				local killer = GetPlayerName(killerID) or "none"
				SendChat(deadguy .. " was destroyed by " .. killer, "GUILD")
				end
			end
		end
	end
end

RegisterEvent(reporter.someDeath, "PLAYER_DIED")
RegisterEvent(reporter.Init, "PLAYER_ENTERED_GAME")
RegisterUserCommand('reporter', reporter.toggle)

-- for the anti-spam omit just store the messages in a table with table.insert(), then create a Timer() object and use :SetTimeout() to extract them.